Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1632243

Summary: Review Request: shaderc - A collection of tools, libraries, and tests for Vulkan shader compilation
Product: [Fedora] Fedora Reporter: Robert-André Mauchin 🐧 <zebob.m>
Component: Package ReviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kwizart, leigh123linux, package-review, susi.lehtola
Target Milestone: ---Flags: susi.lehtola: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-14 23:38:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Robert-André Mauchin 🐧 2018-09-24 12:36:16 UTC
Spec URL: https://eclipseo.fedorapeople.org/shaderc.spec
SRPM URL: https://eclipseo.fedorapeople.org/shaderc-2017.2-1.fc30.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=29861197

Description:
A collection of tools, libraries and tests for shader compilation. 

Shaderc aims to to provide:
 - a command line compiler with GCC- and Clang-like usage, for better 
   integration with build systems
 - an API where functionality can be added without breaking existing clients
 - an API supporting standard concurrency patterns across multiple 
   operating systems
 - increased functionality such as file #include support

Fedora Account System Username: eclipseo

Comment 1 Susi Lehtola 2018-09-24 14:20:46 UTC
Taking review.

Comment 2 Susi Lehtola 2018-09-24 16:12:57 UTC
For some reason fedora-review gets stuck

INFO: Processing bugzilla bug: 1632243
INFO: Getting .spec and .srpm Urls from : 1632243
INFO:   --> SRPM url: https://eclipseo.fedorapeople.org/shaderc-2017.2-1.fc30.src.rpm
INFO:   --> Spec url: https://eclipseo.fedorapeople.org/shaderc.spec
INFO: Using review directory: /tmp/1632243-shaderc
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): https://github.com/google/shaderc/archive/7a23a01742b88329fb2260eda007172135ba25d4/shaderc-7a23a01.tar.gz
INFO: Running checks and generating report
INFO: Results and/or logs in: /tmp/1632243-shaderc/results
INFO: Build completed
INFO: Installing built package(s)
INFO: Active plugins: Generic, Shell-api, C/C++

Comment 3 Robert-André Mauchin 🐧 2018-09-24 16:37:26 UTC
Try to run with: -x "CheckOwnDirs"

Comment 4 Susi Lehtola 2018-09-24 20:31:04 UTC
Looks like I got bit by #1350930: fedora-review runs dnf repoquery in the background, which gets stuck asking for a GPG key import. Lol.

I'll do the review tomorrow.

Comment 5 Robert-André Mauchin 🐧 2018-09-28 22:03:14 UTC
Any luck now?

Comment 6 Susi Lehtola 2018-09-30 18:17:11 UTC
Sorry, totally slipped my mind. Crazy week.

- It appears upstream doesn't really do releases.. where did you see that this is 2017.02?

- Please don't use %url in source0.

- You should use a patch instead of
 # We build with system libs, so no third_party code
 sed -i  -e '/third_party/d' \
         -e '/build-version/,/COMMENT/d' \
         CMakeLists.txt
since the sed command can fail silently and you could end up with third_party code. You could also remove the third_party/ directory just to be sure, this also gets rid of BSD licensed files.

- I recommend using a trailing / for directories in the %files section, as in
 %{_includedir}/%{name}

- Patch1 comment is misleading
 # https://github.com/google/shaderc/issues/407
 Patch1:         0001-Add-SONAME-version-to-the-library.patch
since it is not the source for the patch. Maybe you could submit it as a merge request?

- According to README.md there are tests, but they aren't enabled in the package. You should add a %check phase or comment the spec why it is not possible.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/dependency_info.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/file.h shaderc-
  debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/file_compiler.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/file_includer.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/resource_parse.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/glslc/src/shader_stage.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc/include/shaderc/shaderc.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc/src/shaderc_private.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/compiler.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/counting_includer.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/file_finder.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/format.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/io.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/message.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/mutex.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/resources.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/shader_stage.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/spirv_tools_wrapper.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/string_piece.h
  shaderc-debugsource :
  /usr/src/debug/shaderc-2017.2-1.fc30.x86_64/libshaderc_util/include/libshaderc_util/version_profile.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in libshaderc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries


All of the above are obsolete behavior, so they're fine.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     License is Apache v2.0 i.e. ASL 2.0
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: libshaderc-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glslc-2017.2-1.fc30.x86_64.rpm
          libshaderc-2017.2-1.fc30.x86_64.rpm
          libshaderc-devel-2017.2-1.fc30.x86_64.rpm
          libshaderc-static-2017.2-1.fc30.x86_64.rpm
          shaderc-debuginfo-2017.2-1.fc30.x86_64.rpm
          shaderc-debugsource-2017.2-1.fc30.x86_64.rpm
          shaderc-2017.2-1.fc30.src.rpm
glslc.x86_64: W: no-manual-page-for-binary glslc
libshaderc.x86_64: W: spelling-error Summary(en_US) shader -> shared, shade, shadier
libshaderc.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc.x86_64: W: shared-lib-calls-exit /usr/lib64/libshaderc_shared.so.1 exit.5
libshaderc-devel.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc-devel.x86_64: W: no-documentation
libshaderc-static.x86_64: W: spelling-error Summary(en_US) shader -> shared, shade, shadier
libshaderc-static.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc-static.x86_64: W: no-documentation
shaderc.src: W: spelling-error Summary(en_US) shader -> shared, shade, shadier
shaderc.src: W: spelling-error %description -l en_US shader -> shared, shade, shadier
7 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: shaderc-debuginfo-2017.2-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
shaderc-debugsource.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
libshaderc-static.x86_64: W: spelling-error Summary(en_US) shader -> shared, shade, shadier
libshaderc-static.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc-static.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
libshaderc-static.x86_64: W: no-documentation
libshaderc.x86_64: W: spelling-error Summary(en_US) shader -> shared, shade, shadier
libshaderc.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
libshaderc.x86_64: W: shared-lib-calls-exit /usr/lib64/libshaderc_shared.so.1 exit.5
libshaderc-devel.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
libshaderc-devel.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
libshaderc-devel.x86_64: W: no-documentation
glslc.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
glslc.x86_64: W: no-manual-page-for-binary glslc
shaderc-debuginfo.x86_64: W: invalid-url URL: https://github.com/google/shaderc <urlopen error [Errno -2] Name or service not known>
6 packages and 0 specfiles checked; 0 errors, 15 warnings.



Requires
--------
shaderc-debugsource (rpmlib, GLIBC filtered):

libshaderc-static (rpmlib, GLIBC filtered):

libshaderc (rpmlib, GLIBC filtered):
    libSPIRV-Tools-opt.so()(64bit)
    libSPIRV-Tools.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    rtld(GNU_HASH)

libshaderc-devel (rpmlib, GLIBC filtered):
    libshaderc(x86-64)
    libshaderc_shared.so.1()(64bit)

glslc (rpmlib, GLIBC filtered):
    libSPIRV-Tools-opt.so()(64bit)
    libSPIRV-Tools.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    rtld(GNU_HASH)

shaderc-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
shaderc-debugsource:
    shaderc-debugsource
    shaderc-debugsource(x86-64)

libshaderc-static:
    libshaderc-static
    libshaderc-static(x86-64)

libshaderc:
    libshaderc
    libshaderc(x86-64)
    libshaderc_shared.so.1()(64bit)

libshaderc-devel:
    libshaderc-devel
    libshaderc-devel(x86-64)

glslc:
    glslc
    glslc(x86-64)

shaderc-debuginfo:
    shaderc-debuginfo
    shaderc-debuginfo(x86-64)



Source checksums
----------------
https://github.com/google/shaderc/archive/7a23a01742b88329fb2260eda007172135ba25d4/shaderc-7a23a01.tar.gz :
  CHECKSUM(SHA256) this package     : 496c2a45e5f3da2dd5a97d982fa5c7848d15143be42a4536fc28cb09c2e641dd
  CHECKSUM(SHA256) upstream package : 496c2a45e5f3da2dd5a97d982fa5c7848d15143be42a4536fc28cb09c2e641dd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1632243
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 leigh scott 2018-09-30 18:46:37 UTC
(In reply to Susi Lehtola from comment #6)
 
> - Please don't use %url in source0.

Can you show me the guideline that prohibits the use of %url macro?

Comment 8 Robert-André Mauchin 🐧 2018-09-30 19:37:53 UTC
(In reply to Susi Lehtola from comment #6)
> Sorry, totally slipped my mind. Crazy week.
> 
> - It appears upstream doesn't really do releases.. where did you see that
> this is 2017.02?
> 
It's based on the Changelog: https://github.com/google/shaderc/commit/7a23a01742b88329fb2260eda007172135ba25d4#diff-e4eb329834da3d36278b1b7d943b3bc9


> - Please don't use %url in source0.
> 
Huh? Why? It is rather recommended to use %url.

> - You should use a patch instead of
>  # We build with system libs, so no third_party code
>  sed -i  -e '/third_party/d' \
>          -e '/build-version/,/COMMENT/d' \
>          CMakeLists.txt
> since the sed command can fail silently and you could end up with
> third_party code. You could also remove the third_party/ directory just to
> be sure, this also gets rid of BSD licensed files.
> 
I'll see what I can do.

> - I recommend using a trailing / for directories in the %files section, as in
>  %{_includedir}/%{name}
>
Ok 

> - Patch1 comment is misleading
>  # https://github.com/google/shaderc/issues/407
>  Patch1:         0001-Add-SONAME-version-to-the-library.patch
> since it is not the source for the patch. Maybe you could submit it as a
> merge request?
> 
I'll do a PR.


> - According to README.md there are tests, but they aren't enabled in the
> package. You should add a %check phase or comment the spec why it is not
> possible.
> 
The building of tests are explicitly disabled because they don't work with our unbundling of 3rd party. See https://github.com/google/shaderc/issues/470

I'll add a comment explaining it.


Spec URL: https://eclipseo.fedorapeople.org/shaderc.spec
SRPM URL: https://eclipseo.fedorapeople.org/shaderc-2017.2-1.fc30.src.rpm

Comment 9 Susi Lehtola 2018-10-01 07:43:15 UTC
(In reply to Robert-André Mauchin from comment #8)
> > - Please don't use %url in source0.
> > 
> Huh? Why? It is rather recommended to use %url.

Where? It's not used in e.g.
 https://fedoraproject.org/wiki/Packaging:SourceURL
and it makes the spec file harder to read. This is the first time I've ever seen the %url macro used. The savings you get from using it are marginal; it's just nicer to see the whole path.

If you want to use macros, then you could also write
URL:            https://github.com/google/%{name}

but I think you agree that this is just annoying, even though it evaluates to the same in the binary rpm. Anyway, that's more of a style issue.

Package shaderc APPROVED.

Comment 10 Nicolas Chauvet (kwizart) 2018-10-01 15:11:05 UTC
(In reply to Susi Lehtola from comment #9)
> (In reply to Robert-André Mauchin from comment #8)
> > > - Please don't use %url in source0.
> > > 
> > Huh? Why? It is rather recommended to use %url.
> 
> Where? It's not used in e.g.
I also prefer to use %{url} (but with the braces) as Sources are often full of macros already. (and I'm using spectool --gf *.spec to fetch the sources anyway).

But I'm against using %{name} everwhere as it's often harder to read.
Also most of the time, the use of the %name macro is wrong because it describes the package name, not the project name. Theses are not the same in the case of a compat-foo package.

Thx for the review anyway.

@Robert-André
I'm about to need shaderc for the libplacebo update to 0.6
I still wonder if it can be done for f29, in this case, please consider to submit an override tag once the package is introduced in f29.

Thx in advance.

Comment 11 Jason Tibbitts 2018-10-01 23:20:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/shaderc

Comment 12 Fedora Update System 2018-10-02 16:25:50 UTC
shaderc-2017.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e151169a9

Comment 13 Fedora Update System 2018-10-02 16:27:29 UTC
shaderc-2017.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-093319cdc6

Comment 14 Fedora Update System 2018-10-02 21:18:51 UTC
shaderc-2017.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-093319cdc6

Comment 15 Fedora Update System 2018-10-03 15:01:48 UTC
shaderc-2017.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e151169a9

Comment 16 Fedora Update System 2018-10-03 16:09:34 UTC
shaderc-2018.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0fd985af0c

Comment 17 Fedora Update System 2018-10-03 16:29:09 UTC
shaderc-2018.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4787ebb509

Comment 18 Fedora Update System 2018-10-04 18:01:31 UTC
shaderc-2018.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0fd985af0c

Comment 19 Fedora Update System 2018-10-04 21:11:06 UTC
shaderc-2018.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4787ebb509

Comment 20 Fedora Update System 2018-10-14 23:38:51 UTC
shaderc-2018.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-30 17:19:01 UTC
shaderc-2018.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.